#### D.4.27.16 equiRadical

Procedure from library `primdec.lib` (see primdec_lib).

Usage:
  equiRadical(I); I ideal

Return:
  ideal, intersection of associated primes of I of maximal dimension.

Note:
  A combination of the algorithms of Krick/Logar (with modifications by Laplagne) and Kemper is used. Works also in positive characteristic (Kempers algorithm).

Example:

    LIB "primdec.lib";
    ring  r = 0,(x,y,z),dp;
    poly  p = z2+1;
    poly  q = z3+2;
    ideal i = p*q^2,y-z2;
    ideal pr= equiRadical(i);
    pr;
    ==> pr[1]=z2-y
    ==> pr[2]=y2z+z3+2z2+2

User manual for Singular version 4.4.1, 2025, generated by texi2html.